Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.b2b.tpa
Class PartyInstance

    java.lang.Object
      |
      +--com.bea.b2b.tpa.PartyInstance

public class PartyInstance
extends java.lang.Object

This class represents a party in a Collaboration Agreement in Collaborate Server runtime. It also provides information about delivery channel used by it.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Method Summary
`void` | `createSession(PartyInstance channelOwner, com.bea.b2b.server.CSpace channel)` if remote/hosted, create session for trading partner in channel-owner's c-space
`java.lang.String` | `getBusinessIdentifier()`
`java.lang.String` | `getBusinessIdentifierType()`
`java.lang.String` | `getBusinessProtocolName()` Get name of the business protocol used by this party.
`java.lang.String` | `getBusinessProtocolVersion()` Get version of the business protocol used by this party.
`CAInstance` | `getCAInstance()` Get Collaboration Agreement associated with this party.
`int` | `getConfirmedDelivery()` (for XOCP only) Get QoS associated with delivery confirmation while sending messages from this party.
`ConversationType` | `getConversationType()` Get conversation type associated with this party.
`java.lang.String` | `getDeliveryChannelName()`
`java.lang.String` | `getEncoding()` Get encoding of trading partner with this party.
`java.lang.String[]` | `getEndPointUris()` Get end point uris of transport associated with delivery channel used by this party.
`java.lang.String` | `getName()` Get name of trading partner associated with this party.
`boolean` | `getNonrepudiationOfOrigin()`
`boolean` | `getNonrepudiationOfReceipt()`
`int` | `getRetries()` (for XOCP only) Get maximum number of retries that can be attempted while delivering a message to this party.
`long` | `getRetryInterval()` (for XOCP only) Get retry interval used while delivering a message to this party.
`java.lang.String` | `getRole()` Get role of this party in Collaboration Agreement.
`PartyInstance` | `getRoutingProxy()` If this party uses XOCP spoke protocol, get party associated from Collaboration Agreement which uses XOCP hub protocol with delivery channel marked as routing proxy.
`long` | `getTimeout()` (for XOCP only) Get timeout associated with messages sent by this party.
`TradingPartnerInstance` | `getTradingPartnerInstance()` Get trading partner associated with this party.
`java.lang.String` | `getWLPIOrg()`
`java.lang.String` | `getWLPITemplateName()`
`boolean` | `isLocal()` Does this party represent local trading partner?
`boolean` | `isLocalRoutingProxy()` Does this party represent a local trading partner using delivery channel as routing proxy?
`boolean` | `isProxy()` Does this party use proxy delivery channel?
`boolean` | `isRemote()` Does this party represent remote trading partner?

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getName

    public java.lang.String getName()

  Get name of trading partner associated with this party.

### getEncoding

    public java.lang.String getEncoding()

  Get encoding of trading partner with this party.

### getCAInstance

    public CAInstance getCAInstance()

  Get Collaboration Agreement associated with this party.

### isLocal

    public boolean isLocal()

  Does this party represent local trading partner?

### isRemote

    public boolean isRemote()

  Does this party represent remote trading partner?

### isProxy

    public boolean isProxy()

  Does this party use proxy delivery channel?

### getBusinessIdentifier

    public java.lang.String getBusinessIdentifier()

### getBusinessIdentifierType

    public java.lang.String getBusinessIdentifierType()

### getTradingPartnerInstance

    public TradingPartnerInstance getTradingPartnerInstance()

  Get trading partner associated with this party.

### getNonrepudiationOfOrigin

    public boolean getNonrepudiationOfOrigin()

### getNonrepudiationOfReceipt

    public boolean getNonrepudiationOfReceipt()

### getEndPointUris

    public java.lang.String[] getEndPointUris()

  Get end point uris of transport associated with delivery channel used by this party.

### getBusinessProtocolName

    public java.lang.String getBusinessProtocolName()

  Get name of the business protocol used by this party.

### getBusinessProtocolVersion

    public java.lang.String getBusinessProtocolVersion()

  Get version of the business protocol used by this party.

### getRetries

    public int getRetries()

  (for XOCP only) Get maximum number of retries that can be attempted while delivering a message to this party. This value is considered default. It can be overridden while sending message using QualityOfService.

  See Also:
    `QualityOfService`

### getRetryInterval

    public long getRetryInterval()

  (for XOCP only) Get retry interval used while delivering a message to this party. This value is considered default. It can be overridden while sending message using QualityOfService.

  See Also:
    `QualityOfService`

### getTimeout

    public long getTimeout()

  (for XOCP only) Get timeout associated with messages sent by this party. This value is considered default. It can be overridden while sending message using QualityOfService.

  See Also:
    `QualityOfService`

### getConfirmedDelivery

    public int getConfirmedDelivery()

  (for XOCP only) Get QoS associated with delivery confirmation while sending messages from this party. This value is considered default. It can be overridden while sending message using QualityOfService.

  See Also:
    `QualityOfService`

### createSession

    public void createSession(PartyInstance channelOwner,
                              com.bea.b2b.server.CSpace channel)
                       throws com.bea.b2b.tpa.RegisterException

  if remote/hosted, create session for trading partner in channel-owner's c-space

### getDeliveryChannelName

    public java.lang.String getDeliveryChannelName()

### getRole

    public java.lang.String getRole()

  Get role of this party in Collaboration Agreement.

### getWLPITemplateName

    public java.lang.String getWLPITemplateName()

### getWLPIOrg

    public java.lang.String getWLPIOrg()

### getConversationType

    public ConversationType getConversationType()

  Get conversation type associated with this party. A conversation type represents name of conversation-definition, version of conversation- definition and role played by this party in the conversation.

  See Also:
    `ConversationType`

### isLocalRoutingProxy

    public boolean isLocalRoutingProxy()

  Does this party represent a local trading partner using delivery channel as routing proxy?

### getRoutingProxy

    public PartyInstance getRoutingProxy()

  If this party uses XOCP spoke protocol, get party associated from Collaboration Agreement which uses XOCP hub protocol with delivery channel marked as routing proxy.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)